<script lang="ts">
	import { addDoc, collection } from 'firebase/firestore';
	import Input from '../../../../../components/Input.svelte';

	import Select from '../../../../../components/Select.svelte';
	import type { Horaire } from '../type';
	import Button from '../../../../../components/Button.svelte';
	import { slide } from 'svelte/transition';
	import { db } from '$lib/firebase/firebase';
	import { createEventDispatcher } from 'svelte';
	let newHoraires: Horaire = {
		jour: 'Lundi',
		horaireFrom: '8h',
		horaireTo: '18h'
	};

	const dispatch = createEventDispatcher();
</script>

<div
	class="flex flex-col gap-2 p-4 border-primary-800 shadow-xl bg-noir-600 rounded-xl"
	transition:slide
>
	<Select
		label="Jour"
		bind:value={newHoraires.jour}
		items={['Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi', 'Diamnche']}
	/>
	<div class="flex gap-2">
		<div class="w-32">
			<Input label="A partir de" bind:value={newHoraires.horaireFrom} />
		</div>
		<div class="w-32">
			<Input label="Jusqu'a" bind:value={newHoraires.horaireTo} />
		</div>
	</div>
	<div class="flex flex-col gap-2">
		<Button
			on:click={() => {
				dispatch('add', { newHoraires });
			}}>Ajouter</Button
		>
	</div>
</div>
